## amarok 3.3.1+p24.04+vstable+git20251002.0406

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251002.0406-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:06:32 +0000

amarok (3.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Aug 2025 10:48:18 +0000

## amarok 3.3.1+p24.04+vstable+git20251005.1138

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251005.1138-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:38:34 +0000

## amarok 3.3.1+p24.04+vstable+git20251019.0629

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251019.0629-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:29:12 +0000

## amarok 3.3.1+p24.04+vstable+git20251020.0053

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251020.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:53:27 +0000

## amarok 3.3.1+p24.04+vstable+git20251021.0238

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251021.0238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:38:54 +0000

## amarok 3.3.1+p24.04+vstable+git20251026.0203

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251026.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 26 Oct 2025 02:04:09 +0000

=== debian/control ===
Source: amarok
Section: sound
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>,
           Maximliano Curia <maxy@debian.org>,
           Diane Trout <diane@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktexteditor-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-solid-dev,
               kf6-threadweaver-dev,
               libaio-dev [linux-any],
               libavdevice-dev,
               libavformat-dev,
               libcups2-dev,
               libcurl4-gnutls-dev,
               libgcrypt20-dev,
               libglib2.0-dev,
               libgmock-dev,
               libgpod-dev (>= 0.7.0),
               libgstreamer-plugins-bad1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer-plugins-good1.0-dev,
               libgstreamer1.0-dev,
               libgstreamermm-1.0-dev,
               liblastfm5-dev,
               libloudmouth1-dev,
               libmariadbd-dev,
               libmtp-dev (>= 1.0.0),
               libofa0-dev,
               libpostproc-dev,
               libqca-qt6-dev,
               libswscale-dev,
               libtag1-dev (>= 1.8),
               libwrap0-dev,
               libxml2-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://amarok.kde.org
Vcs-Git: https://invent.kde.org/neon/extras/amarok.git
Vcs-Browser: https://invent.kde.org/neon/extras/amarok
Maintainer: Neon CI <neon@kde.org>

Package: amarok
Architecture: any
Depends: kf6-kirigami,
         qt6-declarative,
         qt6-webengine,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clamz, kio-audiocd
Suggests: moodbar
Description: easy to use media player based on the KDE Platform
 Amarok is a powerful music player with an intuitive interface. It makes
 playing the music you love and discovering new music easier than ever before
 and it looks good doing it! Amarok is based on the powerful Qt4 / KDE4
 Platform and nicely integrates with KDE desktop.
 .
 Much work has been invested into integrating Amarok 2 with various Web
 services:
   - Ampache
   - Jamendo Service
   - Last.fm
   - Librivox
   - MP3tunes
   - Magnatune
   - OPML Podcast Directory
 .
 Amarok comes with a lot of features including but not limited to:
   - Scripts - enhance your Amarok experience with community developed scripts.
   - Dynamic Playlists - create playlists that automatically update.
   - Context View - customize interface with the Plasma powered Context View.
   - PopUp Dropper - simplify drag&drop actions with revolutionary menu system.
   - Multiple Language Translations
   - Collection Management - organizing your music collection has never been
     easier with Amarok's powerful tagging, renaming, and sorting abilities.
   - Database Importing - import collections from Amarok 1.4 or iTunes.
   - Scriptable Services - integrate other web services into Amarok.

## amarok 3.3.1+p24.04+vstable+git20251028.1030

=== src/context/applets/currenttrack/CMakeLists.txt ===
set(current_SRCS
    plugin/CurrentPlugin.cpp
    plugin/CurrentEngine.cpp
)

add_library(amarok_context_applet_currenttrack SHARED ${current_SRCS})

target_link_libraries(amarok_context_applet_currenttrack
    amarokcore
    amaroklib
    Qt::Qml
    KF${KF_MAJOR_VERSION}::CoreAddons
)

install(TARGETS amarok_context_applet_currenttrack DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/amarok/currenttrack)
install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/amarok/currenttrack)

kpackage_install_package(package org.kde.amarok.currenttrack amarok)

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251028.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:30:37 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DH_VERBOSE = 1

%:
	dh $@ --with kf6 --buildsystem kf6

.PHONY: override_dh_auto_test

## amarok 3.3.1+p24.04+vstable+git20251030.0019

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251030.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:19:44 +0000

## amarok 3.3.1+p24.04+vstable+git20251031.0332

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20251031.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:32:58 +0000

## amarok 3.3.1+p24.04+vstable+git20260101.0020

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Amarok)

###############

set(KF_MIN_VERSION "6.5.0")
set(KF_MAJOR_VERSION "6")
set(QT_MIN_VERSION "6.7.0")
set(QT_MAJOR_VERSION "6")

find_package(PkgConfig REQUIRED)
find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
#include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMAddAppIcon)
include(ECMPoQmTools)
include(FindPkgConfig)
include(CMakePushCheckState)
include(GenerateExportHeader)
include(CheckIncludeFile)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui QuickWidgets Qml Sql Svg Test Widgets Xml)

find_package(Qt${QT_MAJOR_VERSION}QuickControls2 ${QT_MIN_VERSION})
set_package_properties(Qt${QT_MAJOR_VERSION}QuickControls2 PROPERTIES TYPE RUNTIME PURPOSE "Needed by the player's context area")


find_package(Qt${QT_MAJOR_VERSION}SvgWidgets ${QT_MIN_VERSION} REQUIRED)
find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets ${QT_MIN_VERSION})
set_package_properties(Qt${QT_MAJOR_VERSION}WebEngineWidgets PROPERTIES TYPE OPTIONAL PURPOSE "Needed by the wikipedia applet")

find_package(Qt${QT_MAJOR_VERSION}UiTools ${QT_MIN_VERSION})
set_package_properties(Qt${QT_MAJOR_VERSION}UiTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed by the scripting engine")

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Codecs
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DNSSD
    DocTools
    GlobalAccel
    GuiAddons
    I18n
    IconThemes
    KCMUtils
    KIO
    Notifications
    Package
    Solid
    TextEditor
    TextWidgets
    ThreadWeaver
    WidgetsAddons
    WindowSystem
)

find_package(KF${KF_MAJOR_VERSION}ColorScheme ${KF_MIN_VERSION} REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KCMUtils ${KF_MIN_VERSION} REQUIRED)
find_package(KF${KF_MAJOR_VERSION}StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Kirigami ${KF_MIN_VERSION})
set_package_properties(KF${KF_MAJOR_VERSION}Kirigami PROPERTIES TYPE RUNTIME PURPOSE "Needed by the player's context area")

pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0>=1.10)
set_package_properties( GSTREAMER PROPERTIES DESCRIPTION "GStreamer is required for the audio backend" URL "https://gstreamer.freedesktop.org/" TYPE REQUIRED )

pkg_check_modules(GSTREAMER_AUDIO REQUIRED gstreamer-audio-1.0>=1.10)
set_package_properties( GSTREAMER_AUDIO PROPERTIES DESCRIPTION "GStreamer is required for the audio backend" URL "https://gstreamer.freedesktop.org/" TYPE REQUIRED )

pkg_check_modules(GSTREAMER_PLUGINS_BASE REQUIRED gstreamer-plugins-base-1.0>=1.10)
set_package_properties( GSTREAMER_PLUGINS_BASE PROPERTIES DESCRIPTION "GStreamer base plugins are required for the audio backend" URL "https://gstreamer.freedesktop.org/" TYPE REQUIRED )

set(CMAKE_REQUIRED_INCLUDES "${GSTREAMER_INCLUDE_DIRS}")
check_include_file(gst/gst.h HAVE_GST_H)
if(GSTREAMER_FOUND)
    message(STATUS "Found GStreamer: ${GSTREAMER_LIBRARIES}")
endif()
if(NOT HAVE_GST_H)
    message(FATAL_ERROR "Missing GStreamer headers - please install devel packages" )
endif()

pkg_search_module(GLIB REQUIRED glib-2.0)
set_package_properties( GLIB2 PROPERTIES DESCRIPTION "GLib 2 is required to compile the gstreamer audio backend" URL "https://www.gtk.org" TYPE REQUIRED )

pkg_search_module( GOBJECT REQUIRED gobject-2.0 )
set_package_properties( GOBJECT PROPERTIES DESCRIPTION "GObject is required to compile the gstreamer audio backend" URL "https://www.gtk.org" TYPE OPTIONAL )

###############
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
  option(WITH_X11 "Build with X11 integration" ON)
endif()
option(WITH_UTILITIES "Enable building of utilities" ON)
option(WITH_PLAYER "Enable building of main Amarok player" ON)
# option(WITH_MP3Tunes "Enable mp3tunes in the Amarok player, requires multiple extra dependencies" ON) #build is disabled for now, no need to show option
option(WITH_GPODDER "Enable gpodder.net support" ON)
option(WITH_IPOD "Enable iPod support in Amarok" ON)
option(WITH_LASTFM "Enable last.fm support" ON)
option(WITH_EMBEDDED_DB "Build the embedded database library" ON)

############### Taglib
set(TAGLIB_MIN_VERSION "1.12")
find_package(Taglib REQUIRED)
set_package_properties( Taglib PROPERTIES DESCRIPTION "Support for Audio metadata." URL "https://taglib.org/" TYPE REQUIRED PURPOSE "Required for tag reading" )

# Check if TagLib is built with ASF and MP4 support
include(CheckCXXSourceCompiles)
cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")

check_cxx_source_compiles("#include <asftag.h>
int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
if( NOT TAGLIB_ASF_FOUND )
    message(FATAL_ERROR "TagLib does not have ASF support compiled in.")
endif()

check_cxx_source_compiles("#include <mp4tag.h>
int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
if( NOT TAGLIB_MP4_FOUND )
    message(FATAL_ERROR "TagLib does not have MP4 support compiled in.")
endif()

check_cxx_source_compiles("#include <modtag.h>
#include <modfile.h>
#include <s3mfile.h>
#include <itfile.h>
#include <xmfile.h>
using namespace TagLib;
int main() { char *s; Mod::Tag tag; Mod::File modfile(s); S3M::File s3mfile(s);
IT::File itfile(s); XM::File xmfile(s); return 0; }" TAGLIB_MOD_FOUND)

check_cxx_source_compiles("#include <opusfile.h>
int main() { char *s; TagLib::Ogg::Opus::File opusfile(s); return 0;}" TAGLIB_OPUS_FOUND)
cmake_pop_check_state()

include(CheckTagLibFileName)

check_taglib_filename(COMPLEX_TAGLIB_FILENAME)
###############


#Needed to conditionally build tests and gui
find_package(Googlemock)
set_package_properties( GOOGLEMOCK PROPERTIES DESCRIPTION "Used in Amarok's tests." URL "https://github.com/google/googlemock" TYPE OPTIONAL )

if(NOT GOOGLEMOCK_FOUND)
    set(BUILD_TESTING OFF)
endif()

if(BUILD_TESTING)
   add_definitions(-DDEBUG)
endif()

if(WITH_DESKTOP_UI)
    add_definitions(-DDESKTOP_UI)
endif()
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0")
if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fmessage-length=0")
    if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed")
    endif()
endif ()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/shared
    ${CMAKE_CURRENT_BINARY_DIR}/shared
)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# WORKAROUND for Clang bug: http://llvm.org/bugs/show_bug.cgi?id=15651
if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-delayed-template-parsing")
endif ()

####################################################################################
# CMAKE_AUTOMOC

if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
    # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
    # 3.10+ lets us provide more macro names that require automoc.
    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES AMAROK_EXPORT_SIMPLE_IMPORTER_PLUGIN)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_TO_ASCII)

if( WITH_LASTFM )
    find_package( LibLastFm 1.2.0 )
    set( LIBLASTFM_MIN_VERSION "1.2.0" )
    if( LIBLASTFM_FOUND )
        if ( ${LIBLASTFM_MIN_VERSION} VERSION_LESS ${LIBLASTFM_VERSION} )
            set( LIBLASTFM_FOUND TRUE )
        endif()
    endif()
endif()

string( TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER )
if( CMAKE_BUILD_TYPE_TOLOWER MATCHES debug )
    set( DEBUG_BUILD_TYPE ON )
    if (MSVC)
        add_compile_options(/W4 /WX)
    else()
        add_definitions(-Wall -Wextra)
    endif()
endif()

add_subdirectory( data )
add_subdirectory( images )

if( WITH_PLAYER )
    find_package(Threads REQUIRED)

    find_package(MySQL)

    if( NOT MySQL_FOUND )
        find_package(MariaDB REQUIRED)
    endif()

    if( WITH_EMBEDDED_DB )
        find_package(MariaDBd REQUIRED)
        set( BUILD_MYSQLE_COLLECTION TRUE )
        # zlib is required for mysql embedded
        find_package(ZLIB REQUIRED)
        set_package_properties( ZLIB PROPERTIES DESCRIPTION "zlib" TYPE REQUIRED )
    else()
        add_definitions( "-DNO_MYSQL_EMBEDDED" )
        message("Building without embedded MariaDB/MySQL as requested")
    endif()


    # Qt6 support is currently only available in liblastfm forks
    set( LIBLASTFM_MIN_VERSION "1.2.0" )
    set_package_properties( LibLastFm PROPERTIES DESCRIPTION "Enable Last.Fm service, including scrobbling, song submissions, and suggested song dynamic playlists" URL "https://github.com/Mazhoon/liblastfm/" TYPE OPTIONAL )


    if( WITH_GPODDER )
        ## gpodder Service
        find_package(Mygpo-qt6 1.2.0 CONFIG)
        set_package_properties(Mygpo-qt6 PROPERTIES
            DESCRIPTION "A Qt/C++ library wrapping the gpodder.net Webservice."
            URL "http://wiki.gpodder.org/wiki/Libmygpo-qt"
            TYPE OPTIONAL
            PURPOSE "Synchronize podcast subscriptions with gpodder.net"
        )
    endif()

    if( WITH_IPOD )
        find_package(Ipod)
        set(IPOD_MIN_VERSION "0.8.2")
        if( IPOD_FOUND AND NOT WIN32 )
            if ( ${IPOD_MIN_VERSION} VERSION_LESS ${IPOD_VERSION} )
                set( IPOD_FOUND TRUE )
            endif()
        endif()
        set_package_properties( Ipod PROPERTIES DESCRIPTION "Support Apple iPod/iPad/iPhone audio devices" URL "http://sourceforge.net/projects/gtkpod/" TYPE OPTIONAL )
        find_package(GDKPixBuf)
        set_package_properties( GDKPixBuf PROPERTIES DESCRIPTION "Support for artwork on iPod audio devices via GDK-PixBuf" URL "http://developer.gnome.org/arch/imaging/gdkpixbuf.html" TYPE OPTIONAL )
    endif()

    find_package(Mtp 1.0.0)
    set_package_properties(Mtp PROPERTIES
        TYPE OPTIONAL
        PURPOSE "Enable Support for portable media devices that use the media transfer protocol"
    )

    if( WITH_MP3Tunes )
        find_package(CURL)
        set_package_properties( CURL PROPERTIES DESCRIPTION "Used to transfer data with URLs" URL "https://curl.haxx.se/" TYPE OPTIONAL )

        find_package(LibXml2)
        set_package_properties( LibXml2 PROPERTIES DESCRIPTION "LibXML2 is an XML parser required by mp3tunes." URL "http://www.xmlsoft.org" TYPE OPTIONAL )

        find_package(OpenSSL)
        find_package(Libgcrypt)
        if ( OPENSSL_FOUND OR LIBGCRYPT_FOUND )
            set (_mp3tunes_crypto TRUE )
        else ()
            message( SEND_ERROR "Building with mp3tunes support REQUIRES either OpenSSL or GNU Libgcrypt" )
        endif ()
        set_package_properties( OpenSSL PROPERTIES DESCRIPTION "OpenSSL or GNU Libgcrypt provides cryptographic functions required by mp3tunes." URL "http://www.openssl.org/ or http://www.gnupg.org/download/#libgcrypt" TYPE OPTIONAL )
        set_package_properties( Libgcrypt PROPERTIES DESCRIPTION "OpenSSL or GNU Libgcrypt provides cryptographic functions required by mp3tunes." URL "http://www.openssl.org/ or http://www.gnupg.org/download/#libgcrypt" TYPE OPTIONAL )

        find_package(Loudmouth)
        set_package_properties( Loudmouth PROPERTIES DESCRIPTION "Loudmouth is the communication backend needed by mp3tunes for syncing." URL "http://www.loudmouth-project.org" TYPE OPTIONAL )

        include(CheckQtGlib)
        set_package_properties( QT5_GLIB PROPERTIES DESCRIPTION "Qt5 must be compiled with glib support for mp3tunes" URL "http://www.trolltech.com" TYPE OPTIONAL )
    endif()

    find_package(Python3 COMPONENTS Interpreter)
    set_package_properties(Python3 PROPERTIES
        DESCRIPTION "Required for generating the autocompletion file for the script console"
        URL "https://www.python.org"

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20260101.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:20:39 +0000

## amarok 3.3.1+p24.04+vstable+git20260103.0021

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20260103.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:22:16 +0000

## amarok 3.3.1+p24.04+vstable+git20260107.0749

=== debian/changelog ===
amarok (3.3.1+p24.04+vstable+git20260107.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:49:21 +0000

## amarok 3.3.1+p24.04+vunstable+git20251208.0246

=== debian/changelog ===
amarok (3.3.1+p24.04+vunstable+git20251208.0246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:47:06 +0000

## amarok 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
 include(CMakePushCheckState)
 include(GenerateExportHeader)
 include(CheckIncludeFile)
+include(ECMQmlModule)
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui QuickWidgets Qml Sql Svg Test Widgets Xml)
 
@@ -304,4 +305,3 @@
     find_package(Python3 COMPONENTS Interpreter)
     set_package_properties(Python3 PROPERTIES
         DESCRIPTION "Required for generating the autocompletion file for the script console"
-        URL "https://www.python.org"

=== src/CMakeLists.txt ===
# Improves speed of string concatenation
add_definitions(-DQT_USE_FAST_CONCATENATION)
add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)

if(APPLE)
    set(mac_SRCS
        app_mac.cpp
        mac/GrowlInterface.cpp
    )
    # Notification Center Appeared in 10.8, or Darwin 12
    if( CMAKE_SYSTEM_VERSION VERSION_GREATER "11.9.9")
        list(APPEND mac_SRCS mac/MacSystemNotify.mm)
        add_definitions(-DHAVE_NOTIFICATION_CENTER)
    endif()

    include_directories ( services/lastfm/ )
    set( MAC_FILES_DIR  ${CMAKE_SOURCE_DIR}/src/mac )
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/core-impl/collections/db/sql/
)

include_directories(SYSTEM
    ${GSTREAMER_INCLUDE_DIRS}
    ${GSTREAMER_AUDIO_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
)

add_subdirectory( core )
add_subdirectory( core-impl/collections )
add_subdirectory( core-impl/storage/sql )
add_subdirectory( context )
add_subdirectory( services )
add_subdirectory( scripting/scripts )
add_subdirectory( transcoding )
add_subdirectory( importers )

#####################################################################
# PROXYCOLLECTION
#####################################################################
set(aggregatecollection_SRCS
    core-impl/collections/aggregate/AggregateCollection.cpp
    core-impl/collections/aggregate/AggregateMeta.cpp
    core-impl/collections/aggregate/AggregateQueryMaker.cpp
)

#####################################################################
# MEDIADEVICEFRAMEWORK
#####################################################################
set(libmediadeviceframework_SRCS
  core-impl/collections/mediadevicecollection/MediaDeviceCollection.cpp
  core-impl/collections/mediadevicecollection/MediaDeviceCollectionLocation.cpp
  core-impl/collections/mediadevicecollection/MediaDeviceMeta.cpp
  core-impl/collections/mediadevicecollection/MediaDeviceTrackEditor.cpp
  core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp
  core-impl/collections/mediadevicecollection/handler/MediaDeviceHandlerCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/ArtworkCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/PlaylistCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/PodcastCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/ReadCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/WriteCapability.cpp
  core-impl/collections/mediadevicecollection/playlist/MediaDevicePlaylist.cpp
  core-impl/collections/mediadevicecollection/playlist/MediaDeviceUserPlaylistProvider.cpp
  core-impl/collections/mediadevicecollection/podcast/MediaDevicePodcastProvider.cpp
  core-impl/collections/mediadevicecollection/support/ConnectionAssistant.cpp
  core-impl/collections/mediadevicecollection/support/MediaDeviceInfo.cpp
)

#####################################################################
# SERVICEFRAMEWORK
#####################################################################
set(libserviceframework_SRCS
    services/DynamicServiceQueryMaker.cpp
    services/InfoParserBase.cpp
    services/ServiceAlbumCoverDownloader.cpp
    services/ServiceBase.cpp
    services/ServiceCapabilities.cpp
    services/ServiceCollection.cpp
    services/ServiceCollectionLocation.cpp
    services/ServiceCollectionTreeView.cpp
    services/ServiceMetaBase.cpp
    services/ServicePluginManager.cpp
    services/ServiceSqlCollection.cpp
    services/ServiceSqlQueryMaker.cpp
    services/ServiceSqlRegistry.cpp
)

#####################################################################
# SERVICEBROWSER
#####################################################################
set(libservicebrowser_SRCS
    browsers/servicebrowser/ServiceBrowser.cpp
)

#####################################################################
# AMAROKURL
#####################################################################
set(libamarokurl_SRCS
    amarokurls/AmarokUrl.cpp
    amarokurls/AmarokUrlAction.cpp
    amarokurls/AmarokUrlHandler.cpp
    amarokurls/BookmarkCurrentButton.cpp
    amarokurls/ContextUrlGenerator.cpp
    amarokurls/ContextUrlRunner.cpp
    amarokurls/NavigationUrlRunner.cpp
    amarokurls/NavigationUrlGenerator.cpp
    amarokurls/PlayUrlRunner.cpp
    amarokurls/PlayUrlGenerator.cpp
    amarokurls/BookmarkManager.cpp
    amarokurls/BookmarkManagerWidget.cpp
    amarokurls/BookmarkGroup.cpp
    amarokurls/BookmarkModel.cpp
    amarokurls/BookmarkTreeView.cpp
    amarokurls/BookmarkMetaActions.cpp
    )

#####################################################################
# SCRIPTABLESERVICE
#####################################################################
set(libscriptableservice_SRCS
    services/scriptable/ScriptableService.cpp
    services/scriptable/ScriptableServiceCollection.cpp
    services/scriptable/ScriptableServiceCollectionTreeModel.cpp
    services/scriptable/ScriptableServiceInfoParser.cpp
    services/scriptable/ScriptableServiceManager.cpp
    services/scriptable/ScriptableServiceMeta.cpp
    services/scriptable/ScriptableServiceQueryMaker.cpp
)

#####################################################################
# CONFIGDIALOG
#####################################################################
set(libconfigdialog_SRCS
    configdialog/ConfigDialog.cpp
    configdialog/ConfigDialogBase.cpp
    configdialog/dialogs/CollectionConfig.cpp
    configdialog/dialogs/ExcludedLabelsDialog.cpp
    configdialog/dialogs/GeneralConfig.cpp
    configdialog/dialogs/MetadataConfig.cpp
    configdialog/dialogs/NotificationsConfig.cpp
    configdialog/dialogs/PlaybackConfig.cpp
    configdialog/dialogs/PluginsConfig.cpp
    configdialog/dialogs/ScriptsConfig.cpp
    configdialog/dialogs/ScriptSelector.cpp
    configdialog/dialogs/DatabaseConfig.cpp
)

ki18n_wrap_ui(libconfigdialog_SRCS
    configdialog/dialogs/CollectionConfig.ui
    configdialog/dialogs/GeneralConfig.ui
    configdialog/dialogs/MetadataConfig.ui
    configdialog/dialogs/ExcludedLabelsDialog.ui
    configdialog/dialogs/NotificationsConfig.ui
    configdialog/dialogs/PlaybackConfig.ui
    configdialog/dialogs/DatabaseConfig.ui
    configdialog/dialogs/ScriptsConfig.ui
)

set(libbrowserframework_SRCS
    browsers/BrowserBreadcrumbItem.cpp
    browsers/BrowserBreadcrumbWidget.cpp
    browsers/BrowserCategory.cpp
    browsers/BrowserCategoryList.cpp
    browsers/BrowserCategoryListModel.cpp
    browsers/BrowserCategoryListSortFilterProxyModel.cpp
    browsers/BrowserDock.cpp
    browsers/BrowserMessageArea.cpp
    browsers/CollectionSortFilterProxyModel.cpp
    browsers/CollectionTreeItem.cpp
    browsers/CollectionTreeItemModel.cpp
    browsers/CollectionTreeItemModelBase.cpp
    browsers/CollectionTreeView.cpp
    browsers/InfoProxy.cpp
    browsers/SingleCollectionTreeItemModel.cpp
)

#####################################################################
# COLLECTIONBROWSER
#####################################################################
set(libcollectionbrowser_SRCS
    browsers/collectionbrowser/CollectionBrowserTreeView.cpp
    browsers/collectionbrowser/CollectionWidget.cpp
)

#####################################################################
# SYNCHRONIZATION
#####################################################################
set(libsynchronization_SRCS
    synchronization/MasterSlaveSynchronizationJob.cpp
    synchronization/OneWaySynchronizationJob.cpp
    synchronization/SynchronizationBaseJob.cpp
    synchronization/UnionJob.cpp
)

#####################################################################
# STATUSBAR
#####################################################################
set(libstatusbar_SRCS
    statusbar/ProgressBar.cpp
    statusbar/KJobProgressBar.cpp
    statusbar/NetworkProgressBar.cpp
    statusbar/CompoundProgressBar.cpp
    statusbar/PopupWidget.cpp
    statusbar/LongMessageWidget.cpp
)


#####################################################################
# META
#####################################################################
set(libmetaimpl_SRCS
    core-impl/playlists/providers/user/UserPlaylistProvider.cpp
    core-impl/playlists/types/file/asx/ASXPlaylist.cpp
    core-impl/playlists/types/file/m3u/M3UPlaylist.cpp
    core-impl/playlists/types/file/pls/PLSPlaylist.cpp
    core-impl/playlists/types/file/PlaylistFileLoaderJob.cpp
    core-impl/playlists/types/file/PlaylistFileSupport.cpp
    core-impl/playlists/types/file/xspf/XSPFPlaylist.cpp
    core-impl/capabilities/AlbumActionsCapability.cpp
    core-impl/capabilities/timecode/TimecodeBoundedPlaybackCapability.cpp
    core-impl/capabilities/timecode/TimecodeLoadCapability.cpp
    core-impl/capabilities/timecode/TimecodeWriteCapability.cpp
    core-impl/capabilities/multisource/MultiSourceCapabilityImpl.cpp
    core-impl/meta/file/File.cpp
    core-impl/meta/file/FileTrackProvider.cpp
    core-impl/meta/multi/MultiTrack.cpp
    core-impl/meta/cue/CueFileSupport.cpp
    core-impl/meta/proxy/MetaProxy.cpp
    core-impl/meta/proxy/MetaProxyWorker.cpp
    core-impl/meta/stream/Stream.cpp
    core-impl/playlists/types/file/PlaylistFile.cpp
    core-impl/support/PersistentStatisticsStore.cpp
    core-impl/support/TagStatisticsStore.cpp
    core-impl/support/UrlStatisticsStore.cpp
)

#####################################################################
# COLLECTION
#####################################################################
set(collection_SRCS
    core-impl/collections/support/jobs/WriteTagsJob.cpp
    core-impl/collections/support/ArtistHelper.cpp
    core-impl/collections/support/CollectionManager.cpp
    core-impl/collections/support/CollectionLocationDelegateImpl.cpp
    core-impl/collections/support/MemoryCustomValue.cpp
    core-impl/collections/support/MemoryFilter.cpp
    core-impl/collections/support/MemoryMatcher.cpp
    core-impl/collections/support/MemoryMeta.cpp
    core-impl/collections/support/MemoryQueryMaker.cpp
    core-impl/collections/support/MemoryQueryMakerInternal.cpp
    core-impl/collections/support/MemoryQueryMakerHelper.cpp
    core-impl/collections/support/TrashCollectionLocation.cpp
    core-impl/collections/support/XmlQueryReader.cpp
    core-impl/collections/support/FileCollectionLocation.cpp
    core-impl/collections/support/Expression.cpp
    core-impl/collections/support/TextualQueryFilter.cpp
)

#####################################################################
# STORAGE
#####################################################################
set(storage_SRCS
    core-impl/storage/StorageManager.cpp
)

#####################################################################
# SCANNER
#####################################################################
set( scanner_SRCS
    scanner/GenericScanManager.cpp
    scanner/GenericScannerJob.cpp
    scanner/AbstractDirectoryWatcher.cpp
    scanner/AbstractScanResultProcessor.cpp
)

#####################################################################
# CONTEXT
#####################################################################
set( libcontextview_SRCS
    context/AmarokContextPackageStructure.cpp
    context/AppletLoader.cpp
    context/AppletModel.cpp
    context/ContextDock.cpp
    context/ContextView.cpp
)

#####################################################################
# LYRICS
#####################################################################
set( liblyrics_SRCS
    lyrics/LyricsManager.cpp
)

#####################################################################
# PODCASTS
#####################################################################
set(libpodcasts_SRCS
    core-impl/podcasts/sql/SqlPodcastMeta.cpp
    core-impl/podcasts/sql/SqlPodcastProvider.cpp
    core-impl/podcasts/sql/PodcastSettingsDialog.cpp
    core-impl/podcasts/sql/PodcastFilenameLayoutConfigDialog.cpp
)

#####################################################################

=== src/context/CMakeLists.txt ===
add_subdirectory( applets )


########### next target ###############

set( amarokpud_LIB_SRCS
    popupdropper/libpud/PopupDropper.cpp
    popupdropper/libpud/PopupDropperItem.cpp
    popupdropper/libpud/PopupDropperView.cpp
)

add_library( amarokpud SHARED ${amarokpud_LIB_SRCS} )

if(WIN32)
    target_compile_definitions(amarokpud PRIVATE MAKE_POPUPDROPPER_LIB)
endif()

target_include_directories( amarokpud PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/popupdropper/libpud
)

target_link_libraries(amarokpud Qt::Core Qt::Gui Qt::Svg Qt::SvgWidgets Qt::Widgets)

install( TARGETS amarokpud ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


set(qml_plugin_qml_files
    qml_plugin/qmldir
    qml_plugin/Applet.qml
    qml_plugin/AppletHeader.qml
)

set(qml_plugin_SRCS
    qml_plugin/src/RatingItem.cpp
    qml_plugin/src/Plugin.cpp
    qml_plugin/src/PixmapItem.cpp
)

add_library(qml_plugin SHARED ${qml_plugin_SRCS})

target_link_libraries(qml_plugin
    amarokcore
    Qt::Quick
    KF${KF_MAJOR_VERSION}::WidgetsAddons
)

install( TARGETS qml_plugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/amarok/qml )

install( FILES ${qml_plugin_qml_files} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/amarok/qml )

qt_add_library(qml_context STATIC)
ecm_add_qml_module(qml_context URI org.kde.amarok.context
    QML_FILES
        context_qml_package/contents/ui/Main.qml
        context_qml_package/contents/ui/toolbar/AppletToolbarAddItem.qml
        context_qml_package/contents/ui/toolbar/AppletToolbarAppletItem.qml
        context_qml_package/contents/ui/toolbar/AppletToolbar.qml
    GENERATE_PLUGIN_SOURCE
)

=== debian/changelog ===
amarok (2:3.3.2-1ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:48:37 +0000

amarok (2:3.3.2-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:27:37 +0000

amarok (2:3.3.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 2: epoch added.
    - Kubuntu Vcs and maintainer fields..

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 08:33:14 +0000

amarok (3.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Use new Extra team’s mailing list email as the Maintainer.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 6.5.0
    - fix the version of qt6-webengine-dev to be 6.7.0 like the other Qt
      packages
  * Update the QML dependencies to Qt 6 (missed in 3.3.1-1):
    - remove qml-module-org-kde-kirigami2, qml-module-qtqml-models2,
      qml-module-qtquick-controls2, qml-module-qtquick-dialogs,
      qml-module-qtquick-layouts, qml-module-qtquick2, and
      qml-module-qtwebengine
    - add qml6-module-org-kde-kirigami, qml6-module-qtqml-models,
      qml6-module-qtquick, qml6-module-qtquick-controls,
      qml6-module-qtquick-layouts, and qml6-module-qtwebengine

 -- Pino Toscano <pino@debian.org>  Mon, 19 Jan 2026 08:49:25 +0100

amarok (2:3.3.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (3.3.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jan 2026 15:37:11 +0000

amarok (2:3.3.1-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 2: epoch added.

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Nov 2025 12:42:40 +0000

=== debian/control ===
Source: amarok
Section: sound
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkirigami-dev,
               libavformat-dev (>= 4:0.5),
               libcrypt-dev,
               libgdk-pixbuf-2.0-dev,
               libglib2.0-dev,
               libgpod-dev (>= 0.7.0),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libkf6archive-dev (>= 6.5.0~),
               libkf6codecs-dev (>= 6.5.0~),
               libkf6colorscheme-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6dnssd-dev (>= 6.5.0~),
               libkf6doctools-dev (>= 6.5.0~),
               libkf6globalaccel-dev (>= 6.5.0~),
               libkf6guiaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6iconthemes-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6package-dev (>= 6.5.0~),
               libkf6solid-dev (>= 6.5.0~),
               libkf6statusnotifieritem-dev (>= 6.5.0~),
               libkf6texteditor-dev (>= 6.5.0~),
               libkf6textwidgets-dev (>= 6.5.0~),
               libkf6threadweaver-dev (>= 6.5.0~),
               libkf6wallet-dev,
               libkf6widgetsaddons-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               liblastfm6-dev (>= 1.2.0~),
               libmariadb-dev,
               libmariadbd-dev,
               libmtp-dev (>= 1.0.0),
               libmygpo-qt6-dev (>= 1.2.0~),
               libofa0-dev,
               libtag-dev (>= 1.12~),
               pkgconf,
               python3:any,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
               zlib1g-dev,
Build-Depends-Indep: mariadb-server-core,
Standards-Version: 4.7.3
Homepage: https://amarok.kde.org
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/amarok
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/amarok

Package: amarok
Architecture: any
Depends: amarok-common (= ${source:Version}),
         amarok-utils (= ${binary:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kio-audiocd,
Suggests: amarok-doc (>= ${source:Version}),
          libqt6sql6-mysql,
          libqt6sql6-psql,
          libqt6sql6-sqlite,
          moodbar,
Description: easy to use media player based
 Amarok is a powerful music player with an intuitive interface. It makes
 playing the music you love and discovering new music easier than ever before
 and it looks good doing it! Amarok is based on the powerful Qt 6 / KDE
 Frameworks 6 and nicely integrates with KDE Plasma desktop.
 .
 Much work has been invested into integrating Amarok with various Web services:
   - Ampache
   - Jamendo Service
   - Last.fm
   - Librivox
   - MP3tunes
   - Magnatune
   - OPML Podcast Directory
 .
 Amarok comes with a lot of features including but not limited to:
   - Scripts - enhance your Amarok experience with community developed scripts.
   - Dynamic Playlists - create playlists that automatically update.
   - Context View - customize interface with the Plasma powered Context View.
   - PopUp Dropper - simplify drag&drop actions with revolutionary menu system.
   - Multiple Language Translations
   - Collection Management - organizing your music collection has never been
     easier with Amarok's powerful tagging, renaming, and sorting abilities.
   - Database Importing - import collections from Amarok 1.4 or iTunes.
   - Scriptable Services - integrate other web services into Amarok.

Package: amarok-common
Architecture: all
Depends: ${misc:Depends},
Recommends: amarok (>= ${source:Version}),
Description: architecture independent files for Amarok
 This package contains architecture independent files needed for Amarok to run
 properly. Therefore, unless you have 'amarok' package of the same version
 installed, you will hardly find this package useful.
 .
 Amarok is a powerful music player with an intuitive interface.

Package: amarok-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Recommends: amarok (>= ${source:Version}),
            khelpcenter,
Description: Amarok documentation (Handbook)
 This package contains Amarok user documentation in various languages. It can be
 opened from the application menu Help -> Amarok Handbook.
 .
 Amarok is a powerful music player with an intuitive interface.

Package: amarok-utils
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: utilities for Amarok media player
 This package contains command line utilities that are typically used by Amarok
 media player but might also be useful on systems without Amarok installed.
 They are designed to be lightweight as they do not depend on KDE Frameworks.
 .
 Currently the package contains the following utilities:
   - amarokcollectionscanner - scans audio files, collects information from
     file tags and prints it in the structured XML format.
   - amarok_afttagger - a helper program which writes/removes custom tags
     to/from media files required for embedded "Amarok File Tracking".

## amarok 3.3.2+p24.04+vstable+git20260131.0427

=== debian/changelog ===
amarok (3.3.2+p24.04+vstable+git20260131.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:27:27 +0000

amarok (3.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 00:42:18 +0000

## amarok 3.3.2+p24.04+vstable+git20260201.0247

=== debian/changelog ===
amarok (3.3.2+p24.04+vstable+git20260201.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:48:06 +0000

## amarok 3.3.2+p24.04+vstable+git20260216.0202

=== debian/changelog ===
amarok (3.3.2+p24.04+vstable+git20260216.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 02:03:00 +0000

## amarok 3.3.2+p24.04+vstable+git20260218.0024

=== debian/changelog ===
amarok (3.3.2+p24.04+vstable+git20260218.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 00:24:53 +0000

## amarok 3.3.2+p24.04+vstable+git20260220.0758

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,12 +45,12 @@
 find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Codecs
+    ColorScheme
     Config
     ConfigWidgets
     CoreAddons
     Crash
     DBusAddons
-    DNSSD
     DocTools
     GlobalAccel
     GuiAddons
@@ -61,6 +61,7 @@
     Notifications
     Package
     Solid
+    StatusNotifierItem
     TextEditor
     TextWidgets
     ThreadWeaver
@@ -68,9 +69,6 @@
     WindowSystem
 )
 
-find_package(KF${KF_MAJOR_VERSION}ColorScheme ${KF_MIN_VERSION} REQUIRED)
-find_package(KF${KF_MAJOR_VERSION}KCMUtils ${KF_MIN_VERSION} REQUIRED)
-find_package(KF${KF_MAJOR_VERSION}StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
 find_package(KF${KF_MAJOR_VERSION}Kirigami ${KF_MIN_VERSION})
 set_package_properties(KF${KF_MAJOR_VERSION}Kirigami PROPERTIES TYPE RUNTIME PURPOSE "Needed by the player's context area")
 
@@ -109,6 +107,11 @@
 option(WITH_IPOD "Enable iPod support in Amarok" ON)
 option(WITH_LASTFM "Enable last.fm support" ON)
 option(WITH_EMBEDDED_DB "Build the embedded database library" ON)
+option(WITH_DAAP "Enable support for Digital Audio Access Protocol collections" ON)
+
+if(WITH_DAAP)
+    find_package(KF${KF_MAJOR_VERSION}DNSSD ${KF_MIN_VERSION} REQUIRED)
+endif()
 
 ############### Taglib
 set(TAGLIB_MIN_VERSION "1.12")

=== src/core-impl/collections/CMakeLists.txt ===
include_directories(
                    ${Amarok_SOURCE_DIR}/src
                   )

set(AMAROK_COLLECTION_SUPPORT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/support)

if(WITH_DAAP)
    add_subdirectory( daap )
endif()

if(NOT WIN32)
    add_subdirectory( audiocd )
endif()

add_subdirectory( ipodcollection )
add_subdirectory( mtpcollection )
add_subdirectory( umscollection )
add_subdirectory( db )
add_subdirectory( playdarcollection )

=== debian/changelog ===
amarok (3.3.2+p24.04+vstable+git20260220.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 20 Feb 2026 07:59:08 +0000
